Inhalte

# BASIC-Funktion Asc

Gibt den ASCII-Wert (American Standard Code for Information Interchange) eines Zeichenfolgenausdrucks zurück.

### Syntax:

    Asc(Zeichenfolge) As Long

### Rückgabetyp:

Long

### Parameter:

Zeichenfolge: Eine gültige Zeichenfolge. Nur das erste Zeichen in der Zeichenfolge ist relevant.

Verwenden Sie die Funktion Asc, um Zeichen durch ihre Wertentsprechungen zu ersetzen. Stößt die Funktion Asc auf eine leere Zeichenfolge, so meldet LibreOffice Basic einen Laufzeitfehler. Neben den druckbaren 8-Bit-ASCII-Zeichen (Codes 32-255) erkennt die ASCII-Funktion auch Steuerzeichen-ASCII-Codes. Diese Funktion kann auch 16-Bit-Unicode-Zeichen verarbeiten.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    Sub ExampleASC
        Print ASC("A") ' Liefert 65 zurück
        Print ASC(Zeichenfolge:="Z") ' ergibt 90
        Print ASC("Las Vegas") ' Liefert 76 zurück, weil nur das erste Zeichen berücksichtigt wird
    End Sub

Verwandte Themen

VBA-Funktion AscW

Funktion Chr

VBA-Funktion ChrW